Subject: bug#49204: 28.0.50; How to create new file in project by project-find-file

From: Giap Tran <[email-masked]>
Date: Mon, 5 Jul 2021 11:03:40 +0700

On 7/4/21 8:07 AM, Dmitry Gutov wrote:
> But I suppose an override for project--completing-read-strict might 
> require less code, if you still want to retain the "completion from 
> relative names" part of behavior from project--read-file-cpd-relative.
> 
> The flip side is someday you might have to deal with breakage when we 
> have to make a change to project--completing-read-strict (which is a 
> "private" function) or stop using it.
> 
> Let me know which approach you choose in the end, and how it works out.

Ya, I'm overriding project--completing-read-strict. It looks good to me.
As I see I still can use find a file at point by M-n. So don't 
understand why you said we can not use find file at point anymore if we 
set REQUIRE-MATCH is nil

Do you want this file to exist, right? IMO, If file is not exist
we can know it by look at minibuffer.